Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc.internal.marshallers
Class PackagePropertiesMarshaller

    java.lang.Object
      org.apache.poi.openxml4j.opc.internal.marshallers.PackagePropertiesMarshaller

All Implemented Interfaces:
  PartMarshaller

Direct Known Subclasses:
  ZipPackagePropertiesMarshaller

    public class PackagePropertiesMarshaller

extends java.lang.Object
implements PartMarshaller

Package properties marshaller.

Author:
  CDubet, Julien Chable

Field Summary
`protected static java.lang.String` | `KEYWORD_CATEGORY`
`protected static java.lang.String` | `KEYWORD_CONTENT_STATUS`
`protected static java.lang.String` | `KEYWORD_CONTENT_TYPE`
`protected static java.lang.String` | `KEYWORD_CREATED`
`protected static java.lang.String` | `KEYWORD_CREATOR`
`protected static java.lang.String` | `KEYWORD_DESCRIPTION`
`protected static java.lang.String` | `KEYWORD_IDENTIFIER`
`protected static java.lang.String` | `KEYWORD_KEYWORDS`
`protected static java.lang.String` | `KEYWORD_LANGUAGE`
`protected static java.lang.String` | `KEYWORD_LAST_MODIFIED_BY`
`protected static java.lang.String` | `KEYWORD_LAST_PRINTED`
`protected static java.lang.String` | `KEYWORD_MODIFIED`
`protected static java.lang.String` | `KEYWORD_REVISION`
`protected static java.lang.String` | `KEYWORD_SUBJECT`
`protected static java.lang.String` | `KEYWORD_TITLE`
`protected static java.lang.String` | `KEYWORD_VERSION`

Constructor Summary
`PackagePropertiesMarshaller()`

Method Summary
`boolean` | `marshall(PackagePart part, java.io.OutputStream out)` Marshall package core properties to an XML document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEYWORD_CATEGORY

    protected static final java.lang.String KEYWORD_CATEGORY

See Also:
  Constant Field Values

### KEYWORD_CONTENT_STATUS

    protected static final java.lang.String KEYWORD_CONTENT_STATUS

See Also:
  Constant Field Values

### KEYWORD_CONTENT_TYPE

    protected static final java.lang.String KEYWORD_CONTENT_TYPE

See Also:
  Constant Field Values

### KEYWORD_CREATED

    protected static final java.lang.String KEYWORD_CREATED

See Also:
  Constant Field Values

### KEYWORD_CREATOR

    protected static final java.lang.String KEYWORD_CREATOR

See Also:
  Constant Field Values

### KEYWORD_DESCRIPTION

    protected static final java.lang.String KEYWORD_DESCRIPTION

See Also:
  Constant Field Values

### KEYWORD_IDENTIFIER

    protected static final java.lang.String KEYWORD_IDENTIFIER

See Also:
  Constant Field Values

### KEYWORD_KEYWORDS

    protected static final java.lang.String KEYWORD_KEYWORDS

See Also:
  Constant Field Values

### KEYWORD_LANGUAGE

    protected static final java.lang.String KEYWORD_LANGUAGE

See Also:
  Constant Field Values

### KEYWORD_LAST_MODIFIED_BY

    protected static final java.lang.String KEYWORD_LAST_MODIFIED_BY

See Also:
  Constant Field Values

### KEYWORD_LAST_PRINTED

    protected static final java.lang.String KEYWORD_LAST_PRINTED

See Also:
  Constant Field Values

### KEYWORD_MODIFIED

    protected static final java.lang.String KEYWORD_MODIFIED

See Also:
  Constant Field Values

### KEYWORD_REVISION

    protected static final java.lang.String KEYWORD_REVISION

See Also:
  Constant Field Values

### KEYWORD_SUBJECT

    protected static final java.lang.String KEYWORD_SUBJECT

See Also:
  Constant Field Values

### KEYWORD_TITLE

    protected static final java.lang.String KEYWORD_TITLE

See Also:
  Constant Field Values

### KEYWORD_VERSION

    protected static final java.lang.String KEYWORD_VERSION

See Also:
  Constant Field Values

Constructor Detail

### PackagePropertiesMarshaller

    public PackagePropertiesMarshaller()

Method Detail

### marshall

    public boolean marshall(PackagePart part,
                            java.io.OutputStream out)
                     throws OpenXML4JException

  Marshall package core properties to an XML document. Always return `true`.

  Specified by:
    `marshall` in interface `PartMarshaller`
  Parameters:
    `part` - Part to marshall.
    `out` - The output stream into which the part will be marshall.
  Returns:
    false if any marshall error occurs, else true
  Throws:
    `OpenXML4JException` - Throws only if any other exceptions are thrown by inner methods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.